--- old/usr/src/uts/common/io/ib/mgt/ibcm/ibcm_sm.c	Sun Jun 11 17:03:56 2017
+++ new/usr/src/uts/common/io/ib/mgt/ibcm/ibcm_sm.c	Sun Jun 11 17:03:56 2017
@@ -484,10 +484,6 @@
 				    ibt_qp_info_t *qp_attr);
 #endif
 
-/*	Warlock annotations */
-
-_NOTE(READ_ONLY_DATA(ibt_arej_info_u))
-
 /*
  * ibcm_process_incoming_mad:
  *	The CM callback that is invoked by IBMF, when a valid CM MAD arrives
@@ -566,8 +562,6 @@
 		return;
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cm_mad_addr))
-
 	/* allocate memory for internal MAD address buffer */
 	cm_mad_addr = &loc_mad_addr;
 	bzero(cm_mad_addr, sizeof (ibcm_mad_addr_t));
@@ -646,8 +640,6 @@
 	ibcm_decode_tranid(b2h64(in_mad_hdr->TransactionID), NULL);
 #endif
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*cm_mad_addr))
-
 	/*
 	 * The following are valid combination of Method type
 	 * and attribute id in the received MAD :-
@@ -710,8 +702,6 @@
 int ibcm_recv_total;
 int ibcm_recv_queued;
 
-_NOTE(READ_ONLY_DATA(ibcm_taskq_args_t))
-
 static int
 ibcm_recv_dequeue(ibmf_handle_t *ibmf_handlep, ibmf_msg_t **msgpp, void **argsp)
 {
@@ -743,11 +733,9 @@
 		ibcm_recv_queued++;
 		ibcm_put = next;
 		tq = ibcm_recv_array + next;
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*tq))
 		tq->tq_ibmf_handle = ibmf_handle;
 		tq->tq_ibmf_msgp = msgp;
 		tq->tq_args = args;
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*tq))
 		return (1);
 	} else {
 		return (0);
@@ -867,11 +855,9 @@
 			mutex_exit(&ibcm_recv_mutex);
 			return (rv);
 		}
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*tq))
 		tq->tq_ibmf_handle = ibmf_handle;
 		tq->tq_ibmf_msgp = msgp;
 		tq->tq_args = args;
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*tq))
 		if (taskq_dispatch(ibcm_taskq, ibcm_recv_task, tq,
 		    TQ_NOQUEUE | TQ_NOSLEEP) == 0) {	/* dispatch failed */
 			mutex_enter(&ibcm_recv_mutex);
@@ -980,8 +966,6 @@
 	IBTF_DPRINTF_L4(cmlog, "ibcm_process_req_msg: remote_hcaguid = %llX",
 	    remote_hca_guid);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
-
 new_req:
 	/* allocate the local_comid before proceeding */
 	if (ibcm_alloc_comid(hcap, &local_comid) != IBCM_SUCCESS) {
@@ -1013,8 +997,6 @@
 
 		psn24_timeout5_retry3 = b2h32(req_msgp->req_starting_psn_plus);
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
-
 		/* if ibmf msg allocation fails, delete the statep */
 		if (ibcm_alloc_out_msg(cm_mad_addr->ibmf_hdl,
 		    &statep->stored_msg, MAD_METHOD_SEND) != IBT_SUCCESS) {
@@ -1253,8 +1235,6 @@
 		ibcm_handle_cep_req_response(statep, response,
 		    reject_reason, arej_info_len);
 
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*statep))
-
 		return;
 
 	} else {
@@ -1395,8 +1375,6 @@
 ibcm_handle_cep_req_response(ibcm_state_data_t *statep, ibcm_status_t response,
     ibt_cm_reason_t reject_reason, uint8_t arej_info_len)
 {
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
-
 	if (response == IBCM_SEND_REP)
 		ibcm_post_rep_mad(statep);
 	else {
@@ -1409,8 +1387,6 @@
 		    NULL, arej_info_len);
 	}
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*statep))
-
 	mutex_enter(&statep->state_mutex);
 	IBCM_REF_CNT_DECR(statep);
 	mutex_exit(&statep->state_mutex);
@@ -1528,8 +1504,6 @@
 			mutex_exit(&statep->state_mutex);
 		}
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
-
 		/* Initialize the remote destination QPN for further MADs */
 		statep->stored_reply_addr.rcvd_addr.ia_remote_qno =
 		    cm_mad_addr->rcvd_addr.ia_remote_qno;
@@ -1757,8 +1731,6 @@
 		ibcm_handle_cep_rep_response(statep, response,
 		    reject_reason, arej_info_len, rep_msgp);
 
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*statep))
-
 		return;
 
 	} else if (statep->state == IBCM_STATE_DELETE) {
@@ -2639,8 +2611,6 @@
 
 	ASSERT(statep->dreq_msg != NULL);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*dreq_msgp))
-
 	/* Fill in the DREQ message */
 	dreq_msgp = (ibcm_dreq_msg_t *)IBCM_OUT_MSGP(statep->dreq_msg);
 	dreq_msgp->dreq_local_comm_id = h2b32(statep->local_comid);
@@ -2663,8 +2633,6 @@
 	    h2b64(ibcm_generate_tranid(IBCM_INCOMING_DREQ, statep->local_comid,
 	    0));
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*dreq_msgp))
-
 	/* post the first DREQ via timeout callback */
 	mutex_enter(&statep->state_mutex);
 
@@ -2700,8 +2668,6 @@
 
 	drep_msgp = (ibcm_drep_msg_t *)IBCM_OUT_MSGP(statep->drep_msg);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*drep_msgp))
-
 	IBTF_DPRINTF_L4(cmlog, "ibcm_post_drep_mad:");
 
 	/* Fill up DREP fields */
@@ -2710,8 +2676,6 @@
 	IBCM_OUT_HDRP(statep->drep_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_DREP + IBCM_ATTR_BASE_ID);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*drep_msgp))
-
 	ibcm_insert_trace(statep, IBCM_TRACE_OUTGOING_DREP);
 
 	/* Post the DREP MAD now.  */
@@ -3026,8 +2990,6 @@
 	IBTF_DPRINTF_L3(cmlog, "ibcm_post_rej_mad: "
 	    "statep = %p, reject_reason = %d", statep, reject_reason);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rej_msg))
-
 	/* Initialize rej_msg fields */
 	rej_msg->rej_local_comm_id = h2b32(statep->local_comid);
 	rej_msg->rej_remote_comm_id = h2b32(statep->remote_comid);
@@ -3041,8 +3003,6 @@
 	IBCM_OUT_HDRP(statep->stored_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_REJ + IBCM_ATTR_BASE_ID);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rej_msg))
-
 	mutex_enter(&statep->state_mutex);
 
 	/* signal any waiting close channels with blocking or no callbacks  */
@@ -3101,8 +3061,6 @@
 		return;
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rej_msg))
-
 	IBCM_OUT_HDRP(cm_rej_msg)->TransactionID =
 	    ((ib_mad_hdr_t *)(input_madp))->TransactionID;
 
@@ -3117,8 +3075,6 @@
 	IBCM_OUT_HDRP(cm_rej_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_REJ + IBCM_ATTR_BASE_ID);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rej_msg))
-
 	ibcm_build_reply_mad_addr(cm_mad_addr, &rej_reply_addr);
 
 	if (rej_reply_addr.cm_qp_entry != NULL) {
@@ -3150,8 +3106,6 @@
 		return;
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rej_msg))
-
 	IBCM_OUT_HDRP(cm_rej_msg)->TransactionID =
 	    ((ib_mad_hdr_t *)(input_madp))->TransactionID;
 
@@ -3168,8 +3122,6 @@
 	    h2b16(IBCM_INCOMING_REJ + IBCM_ATTR_BASE_ID);
 	IBCM_OUT_HDRP(cm_rej_msg)->Status = h2b16(MAD_STATUS_BAD_VERSION);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rej_msg))
-
 	ibcm_build_reply_mad_addr(cm_mad_addr, &rej_reply_addr);
 	if (rej_reply_addr.cm_qp_entry != NULL) {
 		(void) ibcm_post_mad(cm_rej_msg, &rej_reply_addr, NULL, NULL);
@@ -3199,8 +3151,6 @@
 
 	IBTF_DPRINTF_L4(cmlog, "ibcm_post_rep_mad: statep 0x%p", statep);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rep_msgp))
-
 	/*
 	 * All other REP fields, other that the 2 below, are filled in
 	 * the ibcm_cep_state_req() function.
@@ -3210,8 +3160,6 @@
 	IBCM_OUT_HDRP(statep->stored_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_REP + IBCM_ATTR_BASE_ID);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rep_msgp))
-
 	/*
 	 * Changing state and attempt to delete the mra msg must be done
 	 * together holding the state_mutex
@@ -3286,8 +3234,6 @@
 
 	IBTF_DPRINTF_L4(cmlog, "ibcm_post_rtu_mad: statep 0x%p", statep);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rtu_msg))
-
 	rtu_msg = (ibcm_rtu_msg_t *)IBCM_OUT_MSGP(statep->stored_msg);
 
 	rtu_msg->rtu_local_comm_id = h2b32(statep->local_comid);
@@ -3295,8 +3241,6 @@
 	IBCM_OUT_HDRP(statep->stored_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_RTU + IBCM_ATTR_BASE_ID);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rtu_msg))
-
 	mutex_enter(&statep->state_mutex);
 
 	/* Now, attempt to delete the mra_msg, if there is one allocated */
@@ -3483,20 +3427,12 @@
 
 			recycle_arg = statep->recycle_arg;
 
-			_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(
-			    statep->recycle_arg))
 			statep->recycle_arg = NULL;
-			_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(statep->recycle_arg))
 
 			/* if possible, do not slow down calling recycle func */
 			if (taskq_dispatch(ibcm_taskq, ibcm_process_rc_recycle,
 			    recycle_arg, TQ_NOQUEUE | TQ_NOSLEEP) == 0) {
-
-				_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(
-				    statep->recycle_arg))
 				statep->recycle_arg = recycle_arg;
-				_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(
-				    statep->recycle_arg))
 				ibcm_add_tlist(statep);
 				return;
 			}
@@ -4261,9 +4197,7 @@
 		}
 	}
 
-#ifndef	__lock_lint
 	CALLB_CPR_EXIT(&cprinfo);	/* mutex_exit */
-#endif
 }
 
 
@@ -4287,9 +4221,7 @@
 		struct ibcm_taskq_recycle_arg_s *recycle_arg;
 
 		recycle_arg = statep->recycle_arg;
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(statep->recycle_arg))
 		statep->recycle_arg = NULL;
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(statep->recycle_arg))
 		mutex_exit(&statep->state_mutex);
 		(void) ibcm_process_rc_recycle(recycle_arg);
 		ibcm_delete_state_data(statep);
@@ -4509,8 +4441,6 @@
 	 * the list lock is held in that function to find the matching entry.
 	 */
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(srch_sidr))
-
 	srch_sidr.srch_lid = lid;
 	srch_sidr.srch_gid = gid;
 	srch_sidr.srch_grh_exists = cm_mad_addr->grh_exists;
@@ -4517,8 +4447,6 @@
 	srch_sidr.srch_req_id = req_id;
 	srch_sidr.srch_mode = IBCM_PASSIVE_MODE;
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(srch_sidr))
-
 	rw_enter(&hcap->hca_sidr_list_lock, RW_WRITER);
 	state_lookup_status = ibcm_find_sidr_entry(&srch_sidr, hcap, &ud_statep,
 	    IBCM_FLAG_LOOKUP_AND_ADD);
@@ -4532,8 +4460,6 @@
 		/* Increment hca's resource count */
 		ibcm_inc_hca_res_cnt(hcap);
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ud_statep))
-
 		/*
 		 * Allocate CM MAD for a response
 		 * This MAD is deallocated on state structure delete
@@ -4650,8 +4576,6 @@
 
 		ibcm_post_sidr_rep_mad(ud_statep, sidr_status);
 
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*ud_statep))
-
 		mutex_enter(&ud_statep->ud_state_mutex);
 		IBCM_UD_REF_CNT_DECR(ud_statep);
 		mutex_exit(&ud_statep->ud_state_mutex);
@@ -4714,8 +4638,6 @@
 	    "grh = %x, id = %x", lid, gid.gid_prefix, gid.gid_guid,
 	    cm_mad_addr->grh_exists, sidr_repp->sidr_rep_request_id);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(srch_sidr))
-
 	srch_sidr.srch_lid = lid;
 	srch_sidr.srch_gid = gid;
 	srch_sidr.srch_grh_exists = cm_mad_addr->grh_exists;
@@ -4722,8 +4644,6 @@
 	srch_sidr.srch_req_id = b2h32(sidr_repp->sidr_rep_request_id);
 	srch_sidr.srch_mode = IBCM_ACTIVE_MODE;
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(srch_sidr))
-
 	rw_enter(&hcap->hca_sidr_list_lock, RW_READER);
 	status = ibcm_find_sidr_entry(&srch_sidr, hcap, &ud_statep,
 	    IBCM_FLAG_LOOKUP);
@@ -4861,8 +4781,6 @@
 
 	IBTF_DPRINTF_L5(cmlog, "ibcm_post_sidr_rep_mad:");
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sidr_repp))
-
 	IBCM_OUT_HDRP(ud_statep->ud_stored_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_SIDR_REP + IBCM_ATTR_BASE_ID);
 
@@ -4876,8 +4794,6 @@
 
 	sidr_repp->sidr_rep_rep_status = (uint8_t)status;
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*sidr_repp))
-
 	/* post the SIDR REP MAD */
 	ibcm_post_ud_mad(ud_statep, ud_statep->ud_stored_msg, NULL, NULL);
 
@@ -5058,8 +4974,6 @@
 {
 	IBTF_DPRINTF_L5(cmlog, "ibcm_build_reply_mad_addr:");
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*out_mad_addr))
-
 	bcopy(inp_mad_addr, out_mad_addr, sizeof (ibcm_mad_addr_t));
 
 	/* Swap the GIDs in the GRH */
@@ -5079,8 +4993,6 @@
 	out_mad_addr->cm_qp_entry =
 	    ibcm_find_qp(inp_mad_addr->cm_qp_entry->qp_port->port_hcap,
 	    inp_mad_addr->port_num, inp_mad_addr->rcvd_addr.ia_p_key);
-
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*out_mad_addr))
 }
 
 
@@ -6273,15 +6185,11 @@
 
 	if (cb_status == IBT_CM_DEFER) {
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(statep->defer_cm_msg))
-
 		if (statep->defer_cm_msg == NULL)
 			statep->defer_cm_msg =
 			    kmem_zalloc(IBCM_MSG_SIZE, KM_SLEEP);
 		bcopy(cm_req_msgp, statep->defer_cm_msg, IBCM_MSG_SIZE);
 
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(statep->defer_cm_msg))
-
 		/*
 		 * unblock any blocked cm proceed api calls. Do not access
 		 * statep after cv_signal
@@ -6359,10 +6267,6 @@
 		ibcm_rep_msg_t	*rep_msgp = (ibcm_rep_msg_t *)
 		    IBCM_OUT_MSGP(statep->stored_msg);
 
-
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rep_msgp))
-
 		/*
 		 * Check first if ret_args make sense. If not, bailout
 		 * here rather than going along and panicing later.
@@ -6647,9 +6551,6 @@
 			    clnt_info->priv_data_len));
 		}
 
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*statep))
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rep_msgp))
-
 		return (IBCM_SEND_REP);
 	}
 
@@ -6659,8 +6560,6 @@
 	IBTF_DPRINTF_L4(cmlog, "ibcm_process_cep_req_cm_hdlr: statep %p REJ "
 	    "priv len %x", statep, clnt_info->priv_data_len);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rej_msgp))
-
 	/* if priv_data_len != 0 use priv_data to copy back to rej_priv_data */
 	if (clnt_info->priv_data_len != 0) {
 		bcopy(clnt_info->priv_data, rej_msgp->rej_private_data,
@@ -6718,8 +6617,6 @@
 
 	rej_msgp->rej_msg_type_plus = IBT_CM_FAILURE_REQ << 6;
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rej_msgp))
-
 	return (IBCM_SEND_REJ);
 }
 
@@ -6898,12 +6795,9 @@
 		    " rnr_retry_cnt = 0x%x", statep,
 		    cm_rep_msgp->rep_rnr_retry_cnt_plus >> 5);
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
 		statep->starting_psn =
 		    b2h32(cm_rep_msgp->rep_starting_psn_plus) >> 8;
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*statep))
-
 		/* Call IBTL CM's qp modify function from Init to RTR */
 		if (ibcm_invoke_qp_modify(statep,
 		    (ibcm_req_msg_t *)IBCM_OUT_MSGP(statep->stored_msg),
@@ -6951,8 +6845,6 @@
 		return (rval);
 	}
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*rej_msgp))
-
 	/* Fill up the REJ fields, from ret_args */
 	rej_msgp = (ibcm_rej_msg_t *)IBCM_OUT_MSGP(statep->stored_msg);
 	rej_msgp->rej_msg_type_plus = IBT_CM_FAILURE_REP << 6;
@@ -6967,16 +6859,10 @@
 		    min(clnt_info->reply_event->rej.ari_consumer.rej_ari_len,
 		    IBT_CM_ADDL_REJ_LEN);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(clnt_info->reply_event->rej))
-
 	if (*arej_len != 0)	/* asserts that clnt_info->reply_event != 0 */
 		bcopy(clnt_info->reply_event->rej.ari_consumer.rej_ari,
 		    &rej_msgp->rej_addl_rej_info, *arej_len);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(clnt_info->reply_event->rej))
-
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*rej_msgp))
-
 	rval = IBCM_SEND_REJ;
 
 	/* Disassociate statep and QP */
@@ -7352,9 +7238,6 @@
 	ibcm_classportinfo_msg_t tclp;
 	ibt_arej_info_t	*cf_addl = &failed->cf_additional;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cf_addl))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(failed->cf_arej_info_valid))
-
 	failed->cf_arej_info_valid = B_FALSE;
 
 	IBTF_DPRINTF_L3(cmlog, "ibcm_copy_addl_rej: rej_reason = %d "
@@ -7461,9 +7344,6 @@
 	default:
 		break;
 	}
-
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(failed->cf_arej_info_valid))
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*cf_addl))
 }
 
 
@@ -7472,8 +7352,6 @@
 ibcm_init_clp_to_mad(ibcm_classportinfo_msg_t *clp, ibt_redirect_info_t *rinfo)
 {
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*clp))
-
 	bcopy(&ibcm_clpinfo, clp, sizeof (ibcm_clpinfo));
 
 	clp->RedirectGID_hi = h2b64(rinfo->rdi_gid.gid_prefix);
@@ -7489,8 +7367,6 @@
 	IBTF_DPRINTF_L4(cmlog, "ibcm_init_clp_to_mad: RedirectGID= %llX:%llX,"
 	    " RedirectLID= 0x%lX", clp->RedirectGID_hi, clp->RedirectGID_lo,
 	    clp->RedirectLID);
-
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*clp))
 }
 
 
@@ -7726,14 +7602,9 @@
 		return;
 	}
 
-
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sidr_repp))
-
 	sidr_repp->sidr_rep_qkey =
 	    h2b32(ud_clnt_info->ud_qkey);
 	sidr_repp->sidr_rep_qpn_plus = h2b32(ud_clnt_info->ud_qpn << 8);
-
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sidr_repp))
 }
 
 /*
@@ -7977,8 +7848,6 @@
 
 	IBTF_DPRINTF_L4(cmlog, "ibcm_cep_state_lap: statep 0x%p", statep);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*apr_msg))
-
 	/* If APM is not supported, return error */
 	if (!(statep->hcap->hca_caps & IBT_HCA_AUTO_PATH_MIG)) {
 		apr_msg->apr_ap_status = IBT_CM_AP_NOT_SUPPORTED;
@@ -7994,8 +7863,6 @@
 		return (IBCM_SEND_APR);
 	}
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*apr_msg))
-
 	/* Fill up the event */
 	bzero(&event, sizeof (event));
 	event.cm_type = IBT_CM_EVENT_LAP_RCV;
@@ -8014,16 +7881,10 @@
 
 	IBTF_DPRINTF_L3(cmlog, "ibcm_cep_state_lap: cb_status = %d", cb_status);
 	if (cb_status == IBT_CM_DEFER) {
-
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(statep->defer_cm_msg))
-
 		if (statep->defer_cm_msg == NULL)
 			statep->defer_cm_msg =
 			    kmem_zalloc(IBCM_MSG_SIZE, KM_SLEEP);
 		bcopy(lap_msg, statep->defer_cm_msg, IBCM_MSG_SIZE);
-
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(statep->defer_cm_msg))
-
 		/* unblock any blocked cm proceed api calls */
 		mutex_enter(&statep->state_mutex);
 		statep->clnt_proceed = IBCM_UNBLOCK;
@@ -8120,8 +7981,6 @@
 	if (cb_status == IBT_CM_DEFAULT)
 		cb_status = IBT_CM_REJECT;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*apr_msg))
-
 	/* verify status */
 	apr_msg->apr_addl_info_len = 0;
 	if (cb_status == IBT_CM_ACCEPT) {
@@ -8232,7 +8091,6 @@
 		    " ibt_modify_qp() returned = %d", status);
 		return;
 	}
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*apr_msg))
 }
 
 
@@ -8250,8 +8108,6 @@
 {
 	ibcm_apr_msg_t	*apr_msgp;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*apr_msgp))
-
 	apr_msgp = (ibcm_apr_msg_t *)IBCM_OUT_MSGP(statep->lapr_msg);
 
 	apr_msgp->apr_local_comm_id = h2b32(statep->local_comid);
@@ -8259,8 +8115,6 @@
 	IBCM_OUT_HDRP(statep->lapr_msg)->AttributeID =
 	    h2b16(IBCM_INCOMING_APR + IBCM_ATTR_BASE_ID);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*apr_msgp))
-
 	ibcm_insert_trace(statep, IBCM_TRACE_OUTGOING_APR);
 
 	ibcm_post_rc_mad(statep, statep->lapr_msg, ibcm_post_apr_complete,
@@ -8373,8 +8227,6 @@
 	IBTF_DPRINTF_L3(cmlog, "ibcm_set_apr_arej: apr_status = %d "
 	    "ari_len = %d", ap_status, ari_len);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ari))
-
 	switch (ap_status) {
 	case IBT_CM_AP_REDIRECT:
 		if (ari_len < sizeof (ibcm_classportinfo_msg_t))
@@ -8442,7 +8294,6 @@
 	default:
 		break;
 	}
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*ari))
 }
 
 /*
@@ -8660,7 +8511,6 @@
 	    statep->ap_state);
 
 	ASSERT(MUTEX_HELD(&statep->state_mutex));
-	_NOTE(LOCK_RELEASED_AS_SIDE_EFFECT(&statep->state_mutex))
 
 	/* Busy AP states on active/passive sides */
 	if ((statep->ap_state == IBCM_AP_STATE_LAP_RCVD) ||