--- old/usr/src/uts/common/io/ib/mgt/ibcm/ibcm_utils.c	Sun Jun 11 17:04:01 2017
+++ new/usr/src/uts/common/io/ib/mgt/ibcm/ibcm_utils.c	Sun Jun 11 17:04:01 2017
@@ -43,8 +43,6 @@
 static vmem_t		*ibcm_ip_sid_arena;
 static ib_svc_id_t	ibcm_local_sid_seed;
 static ib_com_id_t	ibcm_local_cid_seed;
-_NOTE(READ_ONLY_DATA({ibcm_local_sid_arena ibcm_local_sid_seed
-    ibcm_ip_sid_arena ibcm_local_cid_seed}))
 static void		ibcm_delete_state_from_avl(ibcm_state_data_t *statep);
 static void		ibcm_init_conn_trace(ibcm_state_data_t *statep);
 static void		ibcm_fini_conn_trace(ibcm_state_data_t *statep);
@@ -172,8 +170,6 @@
 		/* fill in the new ibcm_state_data */
 		sp = *rstatep;
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sp))
-
 		/* initialize statep */
 		mutex_init(&sp->state_mutex, NULL, MUTEX_DEFAULT, NULL);
 		cv_init(&sp->block_client_cv, NULL, CV_DRIVER, NULL);
@@ -192,14 +188,10 @@
 			sp->close_nocb_state = IBCM_UNBLOCK;
 			sp->remote_hca_guid = remote_hca_guid;
 			sp->remote_qpn = remote_qpn;
-
 		} else if (event_type == IBCM_OUTGOING_REQ) { /* Active side */
 			sp->close_nocb_state = IBCM_UNBLOCK;
 			sp->state = IBCM_STATE_IDLE;
 		}
-
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*sp))
-
 	} else {
 		sp = *rstatep;	/* for incoming REQ/REP STALE only */
 	}
@@ -646,8 +638,6 @@
 	    srch_param->srch_gid.gid_guid, srch_param->srch_grh_exists,
 	    srch_param->srch_req_id);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*ud_statep))
-
 	/* didn't find the entry - so create new */
 	ud_statep = kmem_zalloc(sizeof (ibcm_ud_state_data_t), KM_SLEEP);
 
@@ -670,8 +660,6 @@
 	ud_statep->ud_nextp = hcap->hca_sidr_list;
 	hcap->hca_sidr_list = ud_statep;
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*ud_statep))
-
 	return (ud_statep);
 }
 
@@ -824,11 +812,6 @@
 {
 	timespec_t tv;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(ibcm_local_sid_arena))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(ibcm_ip_sid_arena))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(ibcm_local_sid_seed))
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(ibcm_local_cid_seed))
-
 	ibcm_local_sid_arena = vmem_create("ibcm_local_sid",
 	    (void *)IBCM_INITIAL_SID, IBCM_MAX_LOCAL_SIDS, 1, NULL, NULL, NULL,
 	    0, VM_SLEEP | VMC_IDENTIFIER);
@@ -850,10 +833,6 @@
 	ibcm_local_sid_seed |= IB_SID_AGN_LOCAL;
 
 	ibcm_local_cid_seed = (ib_com_id_t)tv.tv_sec;
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(ibcm_local_sid_arena))
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(ibcm_local_sid_seed))
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(ibcm_ip_sid_arena))
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(ibcm_local_cid_seed))
 
 	return (IBCM_SUCCESS);
 }
@@ -1237,8 +1216,6 @@
 	ibcm_svc_lookup_t svc;
 	avl_index_t where = 0;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*svcinfop))
-
 	/* assume success, and avoid kmem while holding the writer lock */
 	svcinfop = kmem_zalloc(sizeof (*svcinfop), KM_SLEEP);
 	svcinfop->svc_id = sid;
@@ -1248,9 +1225,6 @@
 	svc.num_sids = num_sids;
 
 	mutex_enter(&ibcm_svc_info_lock);
-#ifdef __lock_lint
-	ibcm_svc_compare(NULL, NULL);
-#endif
 	svcp = avl_find(&ibcm_svc_avl_tree, &svc, &where);
 	if (svcp != NULL) {	/* overlab exists */
 		mutex_exit(&ibcm_svc_info_lock);
@@ -1260,8 +1234,6 @@
 	avl_insert(&ibcm_svc_avl_tree, (void *)svcinfop, where);
 	mutex_exit(&ibcm_svc_info_lock);
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*svcinfop))
-
 	return (svcinfop);
 }
 
@@ -1288,9 +1260,6 @@
 
 	svc.sid = sid;
 	svc.num_sids = 1;
-#ifdef __lock_lint
-	ibcm_svc_compare(NULL, NULL);
-#endif
 	svcp = avl_find(&ibcm_svc_avl_tree, &svc, NULL);
 	if (svcp != NULL) {
 		IBTF_DPRINTF_L3(cmlog, "ibcm_find_svc_entry: "
@@ -1377,8 +1346,6 @@
 	ibmf_qp_handle_t	ibmf_qp;
 	int			ibmf_status;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*entry))
-
 	mutex_enter(&ibcm_qp_list_lock);
 
 	/*
@@ -1441,8 +1408,6 @@
 	ibcm_query_qp(hcap->hca_port_info[port_no-1].port_ibmf_hdl, ibmf_qp);
 #endif
 
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*entry))
-
 	return (entry);
 }
 
@@ -1581,7 +1546,6 @@
 
 	/* Initialize trace related fields */
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*sp->conn_trace))
 	sp->conn_trace = kmem_zalloc(sizeof (ibcm_conn_trace_t), KM_SLEEP);
 	if ((ibcm_enable_trace & 1) == 0)
 		sp->conn_trace->conn_base_tm = gethrtime();
@@ -1591,7 +1555,6 @@
 	sp->conn_trace->conn_trace_event_times =
 	    kmem_zalloc(sp->conn_trace->conn_allocated_trcnt *
 	    sizeof (tm_diff_type), KM_SLEEP);
-	_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(*sp->conn_trace))
 }
 
 void
@@ -1993,9 +1956,6 @@
 	if ((nr_resp != NULL) && (num_rec > 0)) {
 		IBCM_DUMP_NODE_REC(nr_resp);
 
-		_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(
-		    *node_info_p))
-
 		node_info_p->n_sys_img_guid =
 		    nr_resp->NodeInfo.SystemImageGUID;
 		node_info_p->n_node_guid =
@@ -2016,10 +1976,7 @@
 		    nr_resp->NodeInfo.NodeType;
 		(void) strncpy(node_info_p->n_description,
 		    (char *)&nr_resp->NodeDescription, 64);
-		_NOTE(NOW_VISIBLE_TO_OTHER_THREADS(
-		    *node_info_p))
 
-
 		kmem_free(nr_resp, len);
 	}
 	ibcm_dec_hca_acc_cnt(hcap);